package com.zcloud.modules.mall.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.mall.entity.BusBannerEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zcloud.modules.mall.form.SortForm;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 轮播图(BusBanner)表服务接口
 * @Date 2024-06-26 10:00:22
 */
public interface BusBannerService extends IService<BusBannerEntity> {

    void save(BusBannerEntity param, MultipartFile file);

    BusBannerEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusBannerEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(Integer bannerId,String userId);

    /**
     * 变更排序
     */
    void sort(List<SortForm> entityList);

    /**
     * 重新排序
     */
    void resort();
}
